% Generate H[7,7] viscosity matrix
syms l s1 x1 x2 S C ms Ms
N1=-(1/2-s1/l)*S; N2=(1/2-s1/l)*C;N3=-(1/2+s1/l)*S;N4=(1/2+s1/l)*C;
Q1=-s1/l*(1-2*s1/l); Q2=s1/l*(1+2*s1/l); Q3=1-(2*s1/l)^2;
Q1s=diff(Q1,'s1'); Q2s=diff(Q2,'s1');Q3s=diff(Q3,'s1');
dA=(x1+x2+2*s1*C);
% dA=1; For 2D

H11=pi*int(N1^2*dA,'s1',-l/2,l/2)/ms;
H12=pi*int(N1*N2*dA,'s1',-l/2,l/2)/ms;
H13=pi*int(N1*Q1s*dA,'s1',-l/2,l/2)/ms;
H14=pi*int(N1*N3*dA,'s1',-l/2,l/2)/ms;
H15=pi*int(N1*N4*dA,'s1',-l/2,l/2)/ms;
H16=pi*int(N1*Q2s*dA,'s1',-l/2,l/2)/ms;
H17=pi*int(N1*Q3s*dA,'s1',-l/2,l/2)/ms;

H22=pi*int(N2*N2*dA,'s1',-l/2,l/2)/ms;
H23=pi*int(N2*Q1s*dA,'s1',-l/2,l/2)/ms;
H24=pi*int(N2*N3*dA,'s1',-l/2,l/2)/ms;
H25=pi*int(N2*N4*dA,'s1',-l/2,l/2)/ms;
H26=pi*int(N2*Q2s*dA,'s1',-l/2,l/2)/ms;
H27=pi*int(N2*Q3s*dA,'s1',-l/2,l/2)/ms;

H33=pi*int(Q1*Q1*dA,'s1',-l/2,l/2)/Ms+pi*int(Q1s*Q1s*dA,'s1',-l/2,l/2)/ms;
H34=pi*int(Q1s*N3*dA,'s1',-l/2,l/2)/ms;
H35=pi*int(Q1s*N4*dA,'s1',-l/2,l/2)/ms;
H36=pi*int(Q1*Q2*dA,'s1',-l/2,l/2)/Ms+pi*int(Q1s*Q2s*dA,'s1',-l/2,l/2)/ms;
H37=pi*int(Q1*Q3*dA,'s1',-l/2,l/2)/Ms+pi*int(Q1s*Q3s*dA,'s1',-l/2,l/2)/ms;

H44=pi*int(N3*N3*dA,'s1',-l/2,l/2)/ms;
H45=pi*int(N3*N4*dA,'s1',-l/2,l/2)/ms;
H46=pi*int(N3*Q2s*dA,'s1',-l/2,l/2)/ms;
H47=pi*int(N3*Q3s*dA,'s1',-l/2,l/2)/ms;

H55=pi*int(N4*N4*dA,'s1',-l/2,l/2)/ms;
H56=pi*int(N4*Q2s*dA,'s1',-l/2,l/2)/ms;
H57=pi*int(N4*Q3s*dA,'s1',-l/2,l/2)/ms;

H66=pi*int(Q2*Q2*dA,'s1',-l/2,l/2)/Ms+pi*int(Q2s*Q2s*dA,'s1',-l/2,l/2)/ms;
H67=pi*int(Q2*Q3*dA,'s1',-l/2,l/2)/Ms+pi*int(Q2s*Q3s*dA,'s1',-l/2,l/2)/ms;

H77=pi*int(Q3*Q3*dA,'s1',-l/2,l/2)/Ms+pi*int(Q3s*Q3s*dA,'s1',-l/2,l/2)/ms;




