% Generate input data: node and element coordinates:
%% Auto mesh from Abaqus
node1=[  1,           1.,   1.29999995,           0.
      2,           0.,   1.29999995,           0.
      3,           5.,   1.29999995,           0.
      4,           1.,           0.,           0.
      5,           0.,           0.,           0.
      6,  0.666666687,   1.29999995,           0.
      7,  0.333333343,   1.29999995,           0.
      8,   1.39999998,   1.29999995,           0.
      9,   1.79999995,   1.29999995,           0.
     10,   2.20000005,   1.29999995,           0.
     11,    2.5999999,   1.29999995,           0.
     12,           3.,   1.29999995,           0.
     13,    3.4000001,   1.29999995,           0.
     14,   3.79999995,   1.29999995,           0.
     15,   4.19999981,   1.29999995,           0.
     16,    4.5999999,   1.29999995,           0.
     17,           1.,  0.433333337,           0.
     18,           1.,  0.866666675,           0.
     19,  0.333333343,           0.,           0.
     20,  0.666666687,           0.,           0.];
 
element1=[1, 1, 6
2, 6, 7
3, 7, 2
 4,  1,  8
 5,  8,  9
 6,  9, 10
 7, 10, 11
 8, 11, 12
 9, 12, 13
10, 13, 14
11, 14, 15
12, 15, 16
13, 16,  3
14,  4, 17
15, 17, 18
16, 18,  1
17,  5, 19
18, 19, 20
19, 20,  4];
%% Add marker to element matrix
% Node matrix in 2D
node=node1(:,1:3);
% Elements belong to pore
set=[ 1,  2,  3, 14, 15, 16, 17, 18, 19];
[m,n]=size(element1);
element=zeros(m,4);
for k=1:m
    element(k,1:3)=element1(k,1:3);
end
for k=1:length(set)
    for j=1:m
        if set(k)==element1(j)
            element(j,4)=1;
        end
    end
end

%% Generate .txt data file for nodes 
FID_out = fopen('inputfile.txt','w'); 
fprintf(FID_out,'\n'); 
for i = 1:m
    fprintf(FID_out,'%5.0f,%5.6f,%5.6f\n',node(i,:));    
    
end  
fclose(FID_out); 

inputfilename = 'inputfile.txt';
outputfilename = 'inputfilenode.txt';

fid1 = fopen(inputfilename, 'rt');
fid2 = fopen(outputfilename, 'wt');

while feof(fid1) == 0
    tline = fgetl(fid1);
    nline = [ 'node,',tline,'\n'];
    fprintf(fid2, nline );
end
fclose(fid1);
fclose(fid2);
delete('inputfile.txt')
%% Generate .txt data file for elements
FID_out = fopen('inputfile.txt','w'); 
fprintf(FID_out,'\n'); 
for i = 1:m
    fprintf(FID_out,'%5.0f,%5.0f,%5.0f, %5.0f\n',element(i,:));    
    
end  
fclose(FID_out); 

inputfilename = 'inputfile.txt';
outputfilename = 'inputfileelement.txt';

fid1 = fopen(inputfilename, 'rt');
fid2 = fopen(outputfilename, 'wt');

while feof(fid1) == 0
    tline = fgetl(fid1);
    nline = [ 'elem,',tline,'\n'];
    fprintf(fid2, nline );
end
fclose(fid1);
fclose(fid2);
delete('inputfile.txt')
